# Lists ## List lists **get** `/api/v1/lists` List lists ### Query Parameters - `cursor: optional string` Opaque cursor from the previous response `nextCursor`. - `includeDeleted: optional boolean` - `limit: optional number` - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Returns - `data: array of BaseEntity` - `listId: string` - `sortOrder: number` - `color: optional string` - `emoji: optional string` - `icon: optional string` - `isDefault: optional boolean` - `keyboardShortcut: optional string` - `name: optional string` - `spaceVersion: number` Current Replicache space version (`Space.version`). - `nextCursor: optional string` ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/lists ``` #### Response ```json { "data": [ { "id": "id", "createdAt": "2019-12-27T18:11:19.117Z", "deletedAt": "2019-12-27T18:11:19.117Z", "isDeleted": true, "spaceId": "spaceId", "updatedAt": "2019-12-27T18:11:19.117Z", "versionUpdatedAt": 0, "listId": "listId", "sortOrder": 0, "color": "color", "emoji": "emoji", "icon": "icon", "isDefault": true, "keyboardShortcut": "keyboardShortcut", "name": "name" } ], "spaceVersion": 0, "nextCursor": "nextCursor" } ``` ## Create list **post** `/api/v1/lists` Increments the Replicache space version via repVersionIncrement after writing. ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Body Parameters - `listId: optional string` - `name: optional string` - `spaceId: optional string` ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/lists \ -H 'Content-Type: application/json' \ -d '{}' ``` ## Get list **get** `/api/v1/lists/{listId}` Get list ### Path Parameters - `listId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/lists/$LIST_ID ``` ## Update list **patch** `/api/v1/lists/{listId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `listId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/lists/$LIST_ID \ -X PATCH ``` ## Delete list (soft) **delete** `/api/v1/lists/{listId}` Increments the Replicache space version via repVersionIncrement after writing. ### Path Parameters - `listId: string` ### Query Parameters - `spaceId: optional string` Optional space id; when omitted, the user’s default space is used. ### Example ```http curl https://$FLUIDWAVE_HOST/api/v1/lists/$LIST_ID \ -X DELETE ```